
<template>
  <!--加上     :extend="extend"    可以出现查看明细选项-->
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
  ></view-grid>
</template>
    <script>
import extend from "@/extension/taskinfo/weight_hty.js";
import { ref, defineComponent } from "vue";

export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "出库重量历史",
      name: "weight_hty",
      url: "/Weight_hty/",
      sortName: "createDate"
    });

    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({});
    const searchFormOptions = ref([]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 100,
        hidden: true,
        readonly: true,
        require: true,
        align: "left"
      },
      {
        field: "weight",
        title: "重量",
        type: "decimal",
        width: 100,
        align: "left"
      },
      {
        field: "qualified",
        title: "是否合格",
        type: "string",
        width: 120,
        align: "left",
        bind: {
          key: "qualified",
          data: [
            { key: "0", value: "不合格" },
            { key: "1", value: "合格" }
          ]
        }
      },
      {
        field: "interval",
        title: "区间值",
        type: "string",
        width: 400,
        align: "left"
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left"
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        align: "left"
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: ""
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail
    };
  }
});
</script>
<style scoped>
  .cell el-tooltip{
    background: red;
  }
</style>   